package com.chelvc.cloud.vehicle.client;

import com.chelvc.cloud.vehicle.client.dto.UserAuthDTO;
import com.chelvc.cloud.vehicle.client.param.UserAuthParam;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient("vehicle")
public interface UserAuthClient {

    @GetMapping("/user/auth")
    UserAuthDTO getUserAuthInfo(@RequestParam("userId") Long userId);

    @PutMapping(value = "/user/auth")
    void userAuth(@RequestBody UserAuthParam param);
}
