package com.chelvc.cloud.vehicle.client.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

/**
 * 商户资产
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class MerchantAssetDTO implements Serializable {

    private static final long serialVersionUID = 9032680117461829078L;

    /**
     * 钱包
     */
    private WalletDTO walletDTO;

    /**
     * 订单管理
     */
    private OrderDTO orderDTO;

    /**
     * 我的团队
     */
    private MerchantTeamDTO merchantTeamDTO;
}
