package com.chelvc.cloud.vehicle.client.param;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 转账参数接口
 */
@Data
public class TransferParam implements Serializable {

    private static final long serialVersionUID = 36825608564571605L;

    /**
     * 目标id: 用户-userId; 商户-merchantId
     */
    private Long targetUserId;

    /**
     * 类型：1-用户；2-商户
     */
    private Integer type;

    /**
     * 转账金额
     */
    private BigDecimal amount;
}
