package com.chelvc.cloud.vehicle.server.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.chelvc.cloud.vehicle.client.param.FeedBackReplyModifyParam;
import com.chelvc.cloud.vehicle.server.entity.FeedBackReply;

/**
 * 意见反馈回复操作接口
 *
 * @author liude
 * @date 2024/1/12
 */
public interface FeedbackReplyService extends IService<FeedBackReply> {

    /**
     * 新增意见反馈回复
     *
     * @param param 新增参数
     * @return 主键
     */
    Long addFeedbackReply(FeedBackReplyModifyParam param);

    /**
     * 修改意见回复反馈
     *
     * @param id    主键
     * @param param 修改参数
     */
    void updateFeedbackReply(Long id, FeedBackReplyModifyParam param);
}
