package com.chelvc.cloud.vehicle.server.service;

import com.chelvc.cloud.vehicle.server.entity.OmsTransferWithdraw;

import java.math.BigDecimal;

public interface OmsTransferWithdrawService {
    Long createTransferWithdraw(Long userId, Integer type, BigDecimal amount, Integer channel, Integer flag);

    int updateStatusById(Long id, Integer status);

    int updateStatusById(Long id, Integer status, String remark);

    OmsTransferWithdraw queryById(Long id);

    int updateByNotify(Long id, String outOrderId, Integer status, String remark);

    int updateByNotify(Long id, String outOrderId, Integer status, String remark, BigDecimal procedureAmount);
}
