package com.chelvc.cloud.vehicle.client.dto;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 订单中所包含的商品对象 oms_order_item
 *
 * @author liude
 * @date 2024-06-08
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
public class OrderItemDTO implements Serializable
{
    private static final long serialVersionUID = 1L;
    /** $column.columnComment */
    private Long goodsId;

    /** $column.columnComment */
    private String goodsPic;

    /** $column.columnComment */
    private String goodsName;

    /** 销售价格 */
    private BigDecimal goodsPrice;

    /** 购买数量 */
    private Integer goodsQuantity;

    /** 商品分类id */
//    private Long goodsCategoryId;
}
