package com.chelvc.cloud.vehicle.server.dao;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.chelvc.cloud.vehicle.client.dto.OmsOrderDTO;
import com.chelvc.cloud.vehicle.server.entity.OmsOrderPayHistory;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface OmsOrderPayHistoryMapper extends BaseMapper<OmsOrderPayHistory> {
    IPage<OmsOrderDTO> selectOmsOrderPayHistoryListByUserId(@Param("page") Page<OmsOrderDTO> page, @Param(Constants.WRAPPER) QueryWrapper<OmsOrderPayHistory> queryWrapper);
}
