package com.chelvc.cloud.vehicle.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
@TableName(autoResultMap = true)

public class OmsOrderRefund implements Serializable {

    private static final long serialVersionUID = 172335824454121398L;

    @TableId(type = IdType.ASSIGN_ID)
    private Long id;
    private Long orderId;
    private Long userId;
    private Long merchantId;
    private BigDecimal refundAmount;
    //退款状态：0-申请中；1-退款中；2-已退款；3-退款失败
    private Integer status;
    private String reason;
    private String proofPics;
    private String handleMan;
    private String handleNote;
    private Date handleTime;
    private String serialNumber;
    private Date createTime;
}
