package com.chelvc.cloud.vehicle.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
public class Region implements Serializable {

    private static final long serialVersionUID = 1639376448398184907L;

    @TableId(type = IdType.AUTO)
    private Integer id;
    private String NAME;
    private int pid;
    private String sname;
    private int level;
    private String citycode;
    private String yzcode;
    private String mername;
}
