package com.chelvc.cloud.vehicle.server.handle;

import com.upay.sdk.ConfigurationUtils;
import org.apache.commons.configuration.MapConfiguration;
import org.springframework.context.annotation.Configuration;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;
import java.util.HashMap;
import java.util.Map;

@Configuration
public class CustomConfig {

    @PostConstruct
    public void init(){
        Map<String, Object> map = new HashMap<>();
        map.put("http.content.type.v3", "application/vnd.5upay-v3.0+json");
        map.put("http.content.type.v4", "application/vnd.5upay-v4.0+json");
        map.put("893951545.client.private.key.path", "F:/workspace/after/car/vehicle/vehicle-server/src/main/webapp/cfca/client.pfx");
        //map.put("893951545.client.private.key.path", "/home/chelvc/cfca/client.pfx");
        map.put("893951545.client.private.key.password", "123456");
        map.put("onlinepay.order.url", "https://apis.5upay.com/onlinePay/order");
        map.put("transferAccount.order.url", "https://apis.5upay.com/transferAccount/order");
        map.put("onlinepay.query.url", "https://apis.5upay.com/onlinePay/query");
        map.put("ehking.sdk.net.client.defaultConnectTimeout", "30000");
        map.put("ehking.sdk.net.client.defaultReadTimeout", "30000");
        //必须在sdk调用前初始化
        ConfigurationUtils.setConfigSource(new MapConfiguration(map));
        System.setProperty("jdk.tls.disabledAlgorithms","");
    }
}
